Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.util
Class BTreeUtil.ReaderTreeFile

    java.lang.Object
      org.eclipse.birt.core.util.BTreeUtil.ReaderTreeFile

All Implemented Interfaces:
  org.eclipse.birt.core.btree.BTreeConstants, org.eclipse.birt.core.btree.BTreeFile

Enclosing class:
  BTreeUtil

    public static class BTreeUtil.ReaderTreeFile

extends java.lang.Object
implements org.eclipse.birt.core.btree.BTreeFile

Field Summary

Fields inherited from interface org.eclipse.birt.core.btree.BTreeConstants
`BLOCK_SIZE, BTREE_VERSION_0, HEAD_BLOCK_ID, MAGIC_TAG, MAX_NODE_SIZE, MIN_ENTRY_COUNT, NODE_EXTRA, NODE_INDEX, NODE_LEAF, NODE_VALUE, ROOT_BLOCK_ID`

Method Summary
`int` | `allocBlock()`
`void` | `close()`
`int` | `getTotalBlock()`
`java.lang.Object` | `lock()`
`void` | `readBlock(int blockId, byte[] bytes)`
`void` | `unlock(java.lang.Object lock)`
`void` | `writeBlock(int blockId, byte[] bytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allocBlock

    public int allocBlock()
                   throws java.io.IOException

  Specified by:
    `allocBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### getTotalBlock

    public int getTotalBlock()
                      throws java.io.IOException

  Specified by:
    `getTotalBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### lock

    public java.lang.Object lock()
                          throws java.io.IOException

  Specified by:
    `lock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### readBlock

    public void readBlock(int blockId,
                          byte[] bytes)
                   throws java.io.IOException

  Specified by:
    `readBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### unlock

    public void unlock(java.lang.Object lock)
                throws java.io.IOException

  Specified by:
    `unlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### writeBlock

    public void writeBlock(int blockId,
                           byte[] bytes)
                    throws java.io.IOException

  Specified by:
    `writeBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `org.eclipse.birt.core.btree.BTreeFile`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.